### Virtual Method

# Gtk TreeModel rows_reordered

deprecated: 4.10

#### Declaration [src]

    void
    rows_reordered (
      GtkTreeModel* tree_model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      int* new_order
    )

#### Description [src]

Emits the ::rows-reordered signal on `tree_model`.

See `GtkTreeModel::rows-reordered`.

This should be called by models when their rows have been reordered.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` pointing to the tree node whose children have been reordered.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the node whose children have been reordered, or `NULL` if the depth of `path` is 0

  The data is owned by the caller of the function.

`new_order`

  Type: `int*`

  An array of integers mapping the current position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`

  The data is owned by the caller of the function.